---
Name: proxmox/package-selections
Description: Defines the packages selected to be installed in Debian.
Documentation: |
  This parameter defines the Package selection list to install initially.
  This list should contain at least `proxmox-ve` and any necessary
  supporting packages.

  If the operator overrides the Default values specified in this Param,
  all packages must be specified in the updated Param values.

  The list is a space separated string that must contain valid Debian
  package names.  These packages must be available in the default repos
  unless additional `apt` repos have been setup and initialized prior
  to this task run.

  !!! note
      The default workflows assume `postfix` and `samba` packages
      are installed (as specified by proxmox requirements).  There are
      special tasks for staging `apt-set-selections` to automate these
      package installation successfully.  If additional packages requiring
      input are added, the operator must implement a set of `apt-set-selections`
      appropriate to that package.

  This Param defaults to:

    * `proxmox-ve postfix openvswitch-switch open-iscsi vim wget curl jq ifupdown2 lldpd`

  If the operator sets any values to this Param, you **MUST ALSO INCLUDE THESE AS THEY
  ARE REQUIRED**.

  This should likely be adjusted in the future to not allow these to be overridden.

Meta:
  color: blue
  icon: database
  title: Digital Rebar Community Content
Schema:
  default: "proxmox-ve postfix openvswitch-switch open-iscsi vim wget curl jq ifupdown2 lldpd parted"
  type: string
Secure: false
